## slepc4py 3.6.0

=== debian/changelog ===
slepc4py (3.6.0-1) unstable; urgency=low

  * Initial release. Closes: #600795.

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Oct 2015 16:13:51 +0800
