=== debian/control ===
Source: slepc4py
Section: python
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), dh-python, cython, chrpath,
 python-all-dev (>=2.3.5-11), python-numpy (>= 1:1.4.1-4~),
 libslepc3.6-dev, libpetsc3.6-dev,
 python-petsc4py (>=3.6), python-petsc4py (<<3.7),
 mpi-default-dev
X-Python-Version: >= 2.6
Homepage: https://bitbucket.org/slepsc/slepc4py
Vcs-Git: git://anonscm.debian.org/debian-science/packages/slepc4py.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/slepc4py.git/

Package: python-slepc4py
Architecture: any
Depends: ${petsc4py:Depends}, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for SLEPc libraries
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all 
 message-passing communication.
 .
 This package provides Python bindings to almost all functions of SLEPc.
