=== debian/watch ===
version=3
https://bitbucket.org/slepc/slepc4py https://bitbucket.org/slepc/slepc4py/downloads/slepc4py-(.*)\.tar\.gz debian uupdate
