## slepc4py 3.7.0

=== debian/changelog ===
slepc4py (3.7.0-3build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:40:33 +0000

slepc4py (3.7.0-3) unstable; urgency=medium

  * Add python3 support via python3-slepc4py. Closes: #862111.
  * Use pybuild with debhelper (dh).
  * Move documentation and examples to python-slepc4py-docs.

 -- Drew Parsons <dparsons@debian.org>  Tue, 16 May 2017 14:40:15 +0800

slepc4py (3.7.0-2) unstable; urgency=medium

  * Release slepc4py 3.7 to unstable.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Aug 2016 16:50:30 +0800

slepc4py (3.7.0-1exp1) experimental; urgency=medium

  * New upstream version.

 -- Drew Parsons <dparsons@debian.org>  Mon, 11 Jul 2016 22:49:08 +0800
