=== debian/control ===
Source: slepc4py
Section: python
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), dh-python, chrpath,
 cython, cython3,
 python-all-dev (>=2.3.5-11), python3-all-dev,
 python-numpy (>= 1:1.4.1-4~), python3-numpy,
 libslepc3.7-dev, libpetsc3.7-dev,
 python-petsc4py (>=3.7), python-petsc4py (<<3.8),
 python3-petsc4py (>=3.7), python3-petsc4py (<<3.8),
 mpi-default-dev
X-Python-Version: >= 2.6
Homepage: https://bitbucket.org/slepc/slepc4py
Vcs-Git: git://anonscm.debian.org/debian-science/packages/slepc4py.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/slepc4py.git/

Package: python-slepc4py
Architecture: any
Depends: ${petsc4py:Depends}, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-slepc4py-docs
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python 2 bindings for SLEPc libraries
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all 
 message-passing communication.
 .
 This package provides Python 2 bindings to almost all functions of SLEPc.

Package: python3-slepc4py
Architecture: any
Depends: ${petsc4py:Depends3}, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-slepc4py-docs
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for SLEPc libraries
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all 
 message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of SLEPc.

Package: python-slepc4py-docs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Breaks: python-slepc4py (<< 3.7.0-3)
Recommends: python-slepc4py | python3-slepc4py
XB-Python-Version: ${python:Versions}
Description: Python bindings for SLEPc libraries: documentation and examples
 SLEPc is the Scalable Library for Eigenvalue Problem Computations.
 .
 It is based on PETSc and employs the MPI standard for all 
 message-passing communication.
 .
 slepc4py provides Python bindings to almost all functions of SLEPc.
 This package provides documentation and examples.
