=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,14 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-SLEPC_BASE_VERSION=3.6
+SLEPC_BASE_VERSION=3.7
 
 SLEPC_MAJOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/\..*//")
 SLEPC_MINOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/.*\.//")
 SLEPC_NEXT_VERSION=$(shell echo $(SLEPC_MAJOR_VERSION).$$(( $(SLEPC_MINOR_VERSION) + 1 )) )
 
-PETSC_DIR=/usr/lib/petscdir/$(SLEPC_BASE_VERSION)
-SLEPC_DIR=/usr/lib/slepcdir/$(SLEPC_BASE_VERSION)
+export PETSC_DIR=/usr/lib/petscdir/$(SLEPC_BASE_VERSION)
+export SLEPC_DIR=/usr/lib/slepcdir/$(SLEPC_BASE_VERSION)
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -32,7 +32,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with python2
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
@@ -41,8 +41,8 @@
 override_dh_auto_build:
 	SLEPC_DIR=$(SLEPC_DIR)  PETSC_DIR=$(PETSC_DIR)  dh_auto_build
 	# slepc4py embeds the deep PETSC_DIR path as RPATH in its library.
-	# Swap it out for a standard path, or else dh_shlibsdep gets confused
-	chrpath -d build/lib.*-*/slepc4py/lib/SLEPc.so
+	# Swap it out for a standard path, or else dh_shlibdeps gets confused
+	chrpath -d .pybuild/pythonX.Y_*/build/slepc4py/lib/SLEPc*.so
 
 override_dh_auto_install:
 	SLEPC_DIR=$(SLEPC_DIR)  PETSC_DIR=$(PETSC_DIR)  dh_auto_install
@@ -55,4 +55,5 @@
 	dh_compress -Xpdf
 
 override_dh_gencontrol:
-	dh_gencontrol -- -Vpetsc4py:Depends="python-petsc4py (>= $(SLEPC_BASE_VERSION)), python-petsc4py (<< $(SLEPC_NEXT_VERSION))"
+	dh_gencontrol -- -Vpetsc4py:Depends="python-petsc4py (>= $(SLEPC_BASE_VERSION)), python-petsc4py (<< $(SLEPC_NEXT_VERSION))" \
+                           -Vpetsc4py:Depends3="python3-petsc4py (>= $(SLEPC_BASE_VERSION)), python3-petsc4py (<< $(SLEPC_NEXT_VERSION))"
