## slepc4py 3.8.0

=== debian/changelog ===
slepc4py (3.8.0-3) unstable; urgency=medium

  * debian/control: update VCS tags to salsa.debian.org
  * d/rules: fix path to SLEPc*.so to remove RUNPATH
    (python build infrastructure has changed)
  * Build-Depends: python3-distutils

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Mar 2018 09:46:26 +0800

slepc4py (3.8.0-2) unstable; urgency=medium

  * debian/rules: automatically read version (3.8) from changelog

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Mar 2018 00:50:46 +0800

slepc4py (3.8.0-1exp2) experimental; urgency=medium

  * debian/rules: the dh_installdocs override applies to build-indep
    only (otherwise, building build-arch only fails)
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Feb 2018 17:10:20 +0800

slepc4py (3.8.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
    - applies debian patches
  * Standards-Version: 4.1.1
  * debhelper compatibility level 10
  * docs Depends: libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1)
  * debian/control: Priority: optional
  * python-slepc4py-docs Section: doc

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Nov 2017 18:20:45 +0800
