=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: slepc4py
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dh-python, chrpath,
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11), dh-python, chrpath,
  cython, cython3,
  python-all-dev (>=2.3.5-11), python3-all-dev,
+ python3-distutils,
  python-numpy (>= 1:1.4.1-4~), python3-numpy,
- libslepc3.7-dev, libpetsc3.7-dev,
- python-petsc4py (>=3.7), python-petsc4py (<<3.8),
- python3-petsc4py (>=3.7), python3-petsc4py (<<3.8),
- mpi-default-dev
+ libslepc-real3.8-dev, libpetsc-real3.8-dev,
+ python-petsc4py (>=3.8), python-petsc4py (<<3.9),
+ python3-petsc4py (>=3.8), python3-petsc4py (<<3.9),
+ mpi-default-dev,
+ libjs-jquery (>= 3.1.0),
+ libjs-underscore (>= 1.3.1)
 X-Python-Version: >= 2.6
 Homepage: https://bitbucket.org/slepc/slepc4py
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/slepc4py.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/slepc4py.git/
+Vcs-Git: git@salsa.debian.org:science-team/slepc4py.git
+Vcs-Browser: https://salsa.debian.org/science-team/slepc4py
 
 Package: python-slepc4py
 Architecture: any
@@ -46,8 +49,9 @@
  This package provides Python 3 bindings to almost all functions of SLEPc.
 
 Package: python-slepc4py-docs
+Section: doc
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:  libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1), ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Breaks: python-slepc4py (<< 3.7.0-3)
 Recommends: python-slepc4py | python3-slepc4py
