=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,24 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-SLEPC_BASE_VERSION=3.7
+DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
+DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
+DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
+DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
+DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/[\.\+]dfsg.*$$//p' )
+
+# SLEPC_VERSION is used for the package names, library sonames, and
+# /usr/lib/petscdir subdirectory names.
+export SLEPC_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)$(SLEPC_EXT)
+# use only major.minor in general soname (rather than major.minor.patch.build)
+export SLEPC_BASE_VERSION=$(shell echo $(SLEPC_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')
 
 SLEPC_MAJOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/\..*//")
 SLEPC_MINOR_VERSION=$(shell echo $(SLEPC_BASE_VERSION) | sed "s/.*\.//")
 SLEPC_NEXT_VERSION=$(shell echo $(SLEPC_MAJOR_VERSION).$$(( $(SLEPC_MINOR_VERSION) + 1 )) )
 
-export PETSC_DIR=/usr/lib/petscdir/$(SLEPC_BASE_VERSION)
-export SLEPC_DIR=/usr/lib/slepcdir/$(SLEPC_BASE_VERSION)
+export PETSC_DIR=/usr/lib/petscdir/petsc$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-real
+export SLEPC_DIR=/usr/lib/slepcdir/slepc$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-real
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -42,10 +52,17 @@
 	SLEPC_DIR=$(SLEPC_DIR)  PETSC_DIR=$(PETSC_DIR)  dh_auto_build
 	# slepc4py embeds the deep PETSC_DIR path as RPATH in its library.
 	# Swap it out for a standard path, or else dh_shlibdeps gets confused
-	chrpath -d .pybuild/pythonX.Y_*/build/slepc4py/lib/SLEPc*.so
+	chrpath -d .pybuild/*python*/build/slepc4py/lib/SLEPc*.so
 
 override_dh_auto_install:
 	SLEPC_DIR=$(SLEPC_DIR)  PETSC_DIR=$(PETSC_DIR)  dh_auto_install
+
+override_dh_installdocs-indep:
+	dh_installdocs
+	rm debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/jquery*.js
+	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/jquery.js
+	rm debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/underscore*.js
+	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/underscore.js
 
 override_dh_python2:
 	dh_python2
