## slepc4py 3.9.0

=== debian/changelog ===
slepc4py (3.9.0-3) unstable; urgency=medium

  * Standards-Version: 4.2.1
  * add debian/tests (autopkgtest) to run tests and demos

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Sep 2018 16:51:06 +0800

slepc4py (3.9.0-2) unstable; urgency=medium

  * Standards-Version: 4.1.5
  * add source-is-missing lintian override for redirect.html
  * remove ancient-python-version-field X-Python-Version

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Jul 2018 09:54:20 +0800

slepc4py (3.9.0-1exp1) experimental; urgency=medium

  * New upstream version.
  * Standards-Version: 4.1.4
  * Update Vcs-Git to https to allow cloning by all.

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Apr 2018 17:51:09 +0800
