=== debian/control ===
--- 
+++ 
@@ -3,21 +3,20 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 11), dh-python, chrpath,
  cython, cython3,
  python-all-dev (>=2.3.5-11), python3-all-dev,
  python3-distutils,
  python-numpy (>= 1:1.4.1-4~), python3-numpy,
- libslepc-real3.8-dev, libpetsc-real3.8-dev,
- python-petsc4py (>=3.8), python-petsc4py (<<3.9),
- python3-petsc4py (>=3.8), python3-petsc4py (<<3.9),
+ libslepc-real3.9-dev, libpetsc-real3.9-dev,
+ python-petsc4py (>= 3.9), python-petsc4py (<< 3.10),
+ python3-petsc4py (>= 3.9), python3-petsc4py (<< 3.10),
  mpi-default-dev,
  libjs-jquery (>= 3.1.0),
  libjs-underscore (>= 1.3.1)
-X-Python-Version: >= 2.6
 Homepage: https://bitbucket.org/slepc/slepc4py
-Vcs-Git: git@salsa.debian.org:science-team/slepc4py.git
+Vcs-Git: https://salsa.debian.org/science-team/slepc4py.git
 Vcs-Browser: https://salsa.debian.org/science-team/slepc4py
 
 Package: python-slepc4py
