## slepc4py 3.10.0

=== debian/changelog ===
slepc4py (3.10.0-2) unstable; urgency=medium

  * remove alternatives when packages are removed. Closes: #915685.

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Dec 2018 22:23:50 +0100

slepc4py (3.10.0-1exp2) experimental; urgency=medium

  * Build-Depends: libslepc-complex3.10-dev, libpetsc-complex3.10-dev,
      python3-petsc4py-complex
  * run chrpath on SLEPc*.so and install python modules only for
    binary arch builds

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Nov 2018 01:49:25 +0800

slepc4py (3.10.0-1exp1) experimental; urgency=medium

  * New upstream release.
  * Provide python3-slepc4py-complex with complex number support.
    - Real number support is provided by python3-slepc4py-real
    - python3-slepc4py is now a dummy package depending on either
    - use alternatives to handle preferred slepc4py
  * debian patch read_slepc_config.patch reads slepc lib (slepc_real
    or slepc_complex) from SLEPC_LIB in slepcvariables for SLEPC_DIR

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Nov 2018 01:36:31 +0800
