=== debian/control ===
--- 
+++ 
@@ -9,9 +9,11 @@
  python-all-dev (>=2.3.5-11), python3-all-dev,
  python3-distutils,
  python-numpy (>= 1:1.4.1-4~), python3-numpy,
- libslepc-real3.9-dev, libpetsc-real3.9-dev,
- python-petsc4py (>= 3.9), python-petsc4py (<< 3.10),
- python3-petsc4py (>= 3.9), python3-petsc4py (<< 3.10),
+ libslepc-real3.10-dev, libpetsc-real3.10-dev,
+ libslepc-complex3.10-dev, libpetsc-complex3.10-dev,
+ python-petsc4py (>= 3.10), python-petsc4py (<< 3.11),
+ python3-petsc4py-real (>= 3.10), python3-petsc4py-real (<< 3.11),
+ python3-petsc4py-complex (>= 3.10), python3-petsc4py-complex (<< 3.11),
  mpi-default-dev,
  libjs-jquery (>= 3.1.0),
  libjs-underscore (>= 1.3.1)
@@ -28,24 +30,59 @@
 Description: Python 2 bindings for SLEPc libraries
  SLEPc is the Scalable Library for Eigenvalue Problem Computations.
  .
- It is based on PETSc and employs the MPI standard for all 
+ It is based on PETSc and employs the MPI standard for all
  message-passing communication.
  .
  This package provides Python 2 bindings to almost all functions of SLEPc.
 
 Package: python3-slepc4py
-Architecture: any
-Depends: ${petsc4py:Depends3}, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: python-slepc4py-docs
+Architecture: all
+Depends: python3-slepc4py-real | python3-slepc4py-complex,
+ ${misc:Depends}
+Suggests: python-slepc4py-docs
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
 Description: Python 3 bindings for SLEPc libraries
  SLEPc is the Scalable Library for Eigenvalue Problem Computations.
  .
- It is based on PETSc and employs the MPI standard for all 
+ It is based on PETSc and employs the MPI standard for all
  message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of SLEPc.
+ This is a dummy package that depends on python3-slepc4py-real or
+ python3-slepc4py-complex. If both are installed then alternatives can
+ be used to set the preferred configuration for slepc4py.
+
+Package: python3-slepc4py-real
+Architecture: any
+Depends: ${petsc4py-real:Depends3}, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Conflicts: python3-slepc4py (<< 3.10)
+Recommends: python-slepc4py-docs
+Provides: ${python3:Provides}
+XB-Python-Version: ${python3:Versions}
+Description: Python 3 bindings for SLEPc libraries (real numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc with real number support.
+
+Package: python3-slepc4py-complex
+Architecture: any
+Depends: ${petsc4py-complex:Depends3}, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Conflicts: python3-slepc4py (<< 3.10)
+Recommends: python-slepc4py-docs
+Provides: ${python3:Provides}
+XB-Python-Version: ${python3:Versions}
+Description: Python 3 bindings for SLEPc libraries (complex numbers)
+ SLEPc is the Scalable Library for Eigenvalue Problem Computations.
+ .
+ It is based on PETSc and employs the MPI standard for all
+ message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of
+ SLEPc with complex number support.
 
 Package: python-slepc4py-docs
 Section: doc
