=== debian/tests/control ===
Tests: run-tests run-demos
Depends: @, @builddeps@,
    python-pytest,
    python3-pytest,
    gzip
