## slepc4py 3.11.0

=== debian/changelog ===
slepc4py (3.11.0-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-slepc4py (python2 is deprecated)
  * autopkgtest: run debian/tests with script instead of pytest-3

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2019 11:32:56 +0800

slepc4py (3.11.0-1exp1) experimental; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.

  [ Drew Parsons ]
  * New upstream release.
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12
  * mark python-slepc4py-docs as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Apr 2019 12:21:32 +0800
