=== debian/control ===
--- 
+++ 
@@ -3,37 +3,22 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 11), dh-python, chrpath,
- cython, cython3,
- python-all-dev (>=2.3.5-11), python3-all-dev,
+Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), dh-python, chrpath,
+ cython3,
+ python3-all-dev,
  python3-distutils,
- python-numpy (>= 1:1.4.1-4~), python3-numpy,
- libslepc-real3.10-dev, libpetsc-real3.10-dev,
- libslepc-complex3.10-dev, libpetsc-complex3.10-dev,
- python-petsc4py (>= 3.10), python-petsc4py (<< 3.11),
- python3-petsc4py-real (>= 3.10), python3-petsc4py-real (<< 3.11),
- python3-petsc4py-complex (>= 3.10), python3-petsc4py-complex (<< 3.11),
+ python3-numpy (>= 1:1.4.1-4~),
+ libslepc-real3.11-dev, libpetsc-real3.11-dev,
+ libslepc-complex3.11-dev, libpetsc-complex3.11-dev,
+ python3-petsc4py-real (>= 3.11), python3-petsc4py-real (<< 3.12),
+ python3-petsc4py-complex (>= 3.11), python3-petsc4py-complex (<< 3.12),
  mpi-default-dev,
  libjs-jquery (>= 3.1.0),
  libjs-underscore (>= 1.3.1)
 Homepage: https://bitbucket.org/slepc/slepc4py
 Vcs-Git: https://salsa.debian.org/science-team/slepc4py.git
 Vcs-Browser: https://salsa.debian.org/science-team/slepc4py
-
-Package: python-slepc4py
-Architecture: any
-Depends: ${petsc4py:Depends}, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: python-slepc4py-docs
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: Python 2 bindings for SLEPc libraries
- SLEPc is the Scalable Library for Eigenvalue Problem Computations.
- .
- It is based on PETSc and employs the MPI standard for all
- message-passing communication.
- .
- This package provides Python 2 bindings to almost all functions of SLEPc.
 
 Package: python3-slepc4py
 Architecture: all
@@ -87,15 +72,16 @@
 Package: python-slepc4py-docs
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:  libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1), ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Breaks: python-slepc4py (<< 3.7.0-3)
-Recommends: python-slepc4py | python3-slepc4py
+Recommends: python3-slepc4py
 XB-Python-Version: ${python:Versions}
 Description: Python bindings for SLEPc libraries: documentation and examples
  SLEPc is the Scalable Library for Eigenvalue Problem Computations.
  .
- It is based on PETSc and employs the MPI standard for all 
+ It is based on PETSc and employs the MPI standard for all
  message-passing communication.
  .
  slepc4py provides Python bindings to almost all functions of SLEPc.
