=== debian/changelog ===
slepc4py (3.12.0-4build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:27:46 +0100

slepc4py (3.12.0-4) unstable; urgency=medium

  * rebuild for testing migration

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Dec 2019 02:28:41 +1100

slepc4py (3.12.0-3) unstable; urgency=medium

  * rename python-slepc4py-docs package as python-slepc4py-doc.
    Closes: #945621.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Dec 2019 12:30:40 +1100

slepc4py (3.12.0-2) unstable; urgency=medium

  * upload slepc4py 3.12 to unstable

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Dec 2019 11:29:33 +1100

slepc4py (3.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Oct 2019 02:30:14 +0800
