=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Build-Depends: debhelper-compat (= 12), dh-python, chrpath,
  cython3,
  python3-all-dev,
  python3-distutils,
  python3-numpy (>= 1:1.4.1-4~),
- libslepc-real3.11-dev, libpetsc-real3.11-dev,
- libslepc-complex3.11-dev, libpetsc-complex3.11-dev,
- python3-petsc4py-real (>= 3.11), python3-petsc4py-real (<< 3.12),
- python3-petsc4py-complex (>= 3.11), python3-petsc4py-complex (<< 3.12),
+ libslepc-real3.12-dev, libpetsc-real3.12-dev,
+ libslepc-complex3.12-dev, libpetsc-complex3.12-dev,
+ python3-petsc4py-real (>= 3.12), python3-petsc4py-real (<< 3.13),
+ python3-petsc4py-complex (>= 3.12), python3-petsc4py-complex (<< 3.13),
  mpi-default-dev,
  libjs-jquery (>= 3.1.0),
  libjs-underscore (>= 1.3.1)
@@ -24,7 +24,7 @@
 Architecture: all
 Depends: python3-slepc4py-real | python3-slepc4py-complex,
  ${misc:Depends}
-Suggests: python-slepc4py-docs
+Suggests: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
 Description: Python 3 bindings for SLEPc libraries
@@ -41,7 +41,7 @@
 Architecture: any
 Depends: ${petsc4py-real:Depends3}, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python3-slepc4py (<< 3.10)
-Recommends: python-slepc4py-docs
+Recommends: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
 Description: Python 3 bindings for SLEPc libraries (real numbers)
@@ -57,7 +57,7 @@
 Architecture: any
 Depends: ${petsc4py-complex:Depends3}, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python3-slepc4py (<< 3.10)
-Recommends: python-slepc4py-docs
+Recommends: python-slepc4py-doc
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
 Description: Python 3 bindings for SLEPc libraries (complex numbers)
@@ -69,13 +69,14 @@
  This package provides Python 3 bindings to almost all functions of
  SLEPc with complex number support.
 
-Package: python-slepc4py-docs
+Package: python-slepc4py-doc
 Section: doc
 Architecture: all
 Multi-Arch: foreign
 Depends:  libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1), ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
-Breaks: python-slepc4py (<< 3.7.0-3)
+Breaks: python-slepc4py (<< 3.7.0-3), python-slepc4py-docs
+Replaces: python-slepc4py-docs
 Recommends: python3-slepc4py
 XB-Python-Version: ${python:Versions}
 Description: Python bindings for SLEPc libraries: documentation and examples
