=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL) dh $@ --with python2,python3 --buildsystem=pybuild
+	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL) dh $@ --with python3 --buildsystem=pybuild
 	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX) dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_clean:
@@ -55,14 +55,14 @@
 override_dh_auto_install-indep: ;
 
 override_dh_auto_build-arch:
-	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython-slepc4py -ppython3-slepc4py-real
+	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython3-slepc4py-real
 	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_build -ppython3-slepc4py-complex
 	# slepc4py embeds the deep PETSC_DIR path as RPATH in its library.
 	# Swap it out for a standard path, or else dh_shlibdeps gets confused
 	chrpath -d .pybuild/*python*/build/slepc4py*/lib/SLEPc*.so
 
 override_dh_auto_install-arch:
-	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython-slepc4py -ppython3-slepc4py-real
+	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython3-slepc4py-real
 	for p in debian/python3-slepc4py-real/usr/lib/python3*/dist-packages/slepc4py*; do \
 	  mv $$p $$(dirname $$p)/$$( basename $$p | sed "s/slepc4py/slepc4py_real/"); \
 	done
@@ -76,28 +76,21 @@
 
 override_dh_installdocs-indep:
 	dh_installdocs -i debian/README.Debian
-	rm debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/jquery*.js
-	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/jquery.js
-	rm debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/underscore*.js
-	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-slepc4py-docs/usr/share/doc/python-slepc4py-docs/usrman/_static/underscore.js
-
-override_dh_python2:
-	dh_python2
-	dh_numpy
+	rm debian/python-slepc4py-doc/usr/share/doc/python-slepc4py-doc/usrman/_static/jquery*.js
+	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-slepc4py-doc/usr/share/doc/python-slepc4py-doc/usrman/_static/jquery.js
+	rm debian/python-slepc4py-doc/usr/share/doc/python-slepc4py-doc/usrman/_static/underscore*.js
+	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-slepc4py-doc/usr/share/doc/python-slepc4py-doc/usrman/_static/underscore.js
 
 override_dh_python3:
 	dh_python3
 	dh_numpy3
-	dh_python2
-	dh_numpy
 
 override_dh_compress:
 	dh_compress -Xpdf
 
 override_dh_gencontrol:
-	dh_gencontrol -- -Vpetsc4py:Depends="python-petsc4py (>= $(SLEPC_BASE_VERSION)), python-petsc4py (<< $(SLEPC_NEXT_VERSION))" \
-                           -Vpetsc4py-real:Depends3="python3-petsc4py-real (>= $(SLEPC_BASE_VERSION)), python3-petsc4py-real (<< $(SLEPC_NEXT_VERSION))" \
-                           -Vpetsc4py-complex:Depends3="python3-petsc4py-complex (>= $(SLEPC_BASE_VERSION)), python3-petsc4py-complex (<< $(SLEPC_NEXT_VERSION))"
+	dh_gencontrol --  -Vpetsc4py-real:Depends3="python3-petsc4py-real (>= $(SLEPC_BASE_VERSION)), python3-petsc4py-real (<< $(SLEPC_NEXT_VERSION))" \
+                          -Vpetsc4py-complex:Depends3="python3-petsc4py-complex (>= $(SLEPC_BASE_VERSION)), python3-petsc4py-complex (<< $(SLEPC_NEXT_VERSION))"
 
 override_dh_installdeb:
 	dh_installdeb
