=== debian/tests/control ===
Tests: run-tests run-demos
Depends: @, @builddeps@,
    gzip
Restrictions: allow-stderr
