=== debian/watch ===
version=3
https://bitbucket.org/slepc/slepc4py/downloads/ slepc4py@ANY_VERSION@\.tar\.gz debian uupdate
